Series Info

This endpoint returns information about the requested series, including information on its Option IDs. You can visualise various Enact series on Enact's dashboard page.

Note that this endpoint does not count towards your request limit.


Using the LCP Delta Python Package

Synchronous

from lcp_delta import enact

enact_api_helper = enact.APIHelper(username, public_api_key)

# see 'BODY PARAMS' section below for details on corresponding parameter values
response_dictionary = enact_api_helper.get_series_info(
	"OutturnFuel",
	"Gb"
)

print(response_dictionary)

Asynchronous (package version 1.3.0 and later)

from lcp_delta import enact
import asyncio

async def main():
    enact_api_helper = enact.APIHelper(username, public_api_key)

    # see 'BODY PARAMS' section below for details on corresponding parameter values
    response_dictionary = await enact_api_helper.get_series_info_async(
        "OutturnFuel",
        "Gb"
    )

    print(response_dictionary)

asyncio.run(main())

Using the API Directly

Body Params
string
required
Defaults to OutturnFuel

The Enact ID for the requested series.

string
required
Defaults to Gb

The Enact ID for the country of the requested series.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!